#ifndef GRAPHICSITEM_H
#define GRAPHICSITEM_H

#include <QWidget>
#include <QGraphicsItem>

class QPainter;

class GraphicsItem : public QGraphicsItem
{
public:
    GraphicsItem(const QSize &size);

    QRectF boundingRect() const;

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
private:
    QSize size;
};

#endif // GRAPHICSITEM_H
